Subject: Re: [PATCH 2/2] unix: Add /proc/net/unix_peers file

From: Pavel Emelyanov <[email-masked]>
Date: Mon, 05 Dec 2011 14:25:11 +0400

On 12/04/2011 10:25 PM, David Miller wrote:
> From: Pavel Emelyanov <[email-masked]>
> Date: Thu, 01 Dec 2011 21:42:06 +0400
> 
>> Currently it's not possible to find out what processes are connected
>> to each other via a unix socket. In the proposed proc file a socket
>> inode number and its peer inode number are shown. With these two at
>> hands it's possible to determine the unix connections endpoints.
>>
>> Signed-off-by: Pavel Emelyanov <[email-masked]>
> 
> I'm basically against new networking procfs based information
> retrieval mechanisms.

So am I, just wanted to bring this topic up again.

> Please extend the netlink socket dumping so that it works with
> AF_UNIX sockets and subsequently added the necessary netlink
> attribute to provide the peer value.

OK, will do it this way. AFAIU you're talking about the NETLINK_INET_DIAG, right?

> I plan to stand pretty firm on this, so you may want to save your
> effort and use said effort to implement this properly.
> 
> Thanks.
> .
> 

Thanks,
Pavel